Bug 247185 - irc/irssi: fix utf8proc support
Summary: irc/irssi: fix utf8proc support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-11 21:30 UTC by Yuri Pankov
Modified: 2020-06-15 10:42 UTC (History)
2 users (show)

See Also:
dor.bsd: maintainer-feedback+


Attachments
fix utf8proc support (477 bytes, patch)
2020-06-11 21:30 UTC, Yuri Pankov
no flags Details | Diff
additional improvements on top of submitter's patch (1.13 KB, patch)
2020-06-13 18:22 UTC, Fernando Apesteguía
dor.bsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Pankov freebsd_committer 2020-06-11 21:30:51 UTC
Created attachment 215470 [details]
fix utf8proc support

Currently irc/irssi fails to detect utf8proc even if it's installed, provide needed CPPFLAGS/LDFLAGS.  Also, if option is off, we need to explicitly disable utf8proc support to properly record dependencies.

$ make showconfig           
===> The following configuration options are available for irssi-1.2.2,1:
     BOT=off: Bot support
     CAPSICUM=on: Capsicum support
     DOCS=on: Build and/or install documentation
     OTR=off: OTR (off-the-record) support
     PERL=on: Perl scripting language support
     PROXY=off: Proxy support
     SOCKS=off: Socks proxy support
     TRUECOLOR=on: Truecolor (24bit) support
     UTF8PROC=on: utf8proc support
===> Use 'make config' to modify these settings
$ make configure 2>&1 | grep utf8proc
===>   irssi-1.2.2,1 depends on shared library: libutf8proc.so - found (/usr/local/lib/libutf8proc.so)
checking utf8proc.h usability... no
checking utf8proc.h presence... no
checking for utf8proc.h... no
Building with utf8proc ........... : no, library header not found
Comment 1 Fernando Apesteguía freebsd_committer 2020-06-12 05:46:49 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 2 Yuri Pankov freebsd_committer 2020-06-12 08:26:10 UTC
(In reply to Fernando Apesteguía from comment #1)
Hi Fernando, I'm not a ports committer, and not entirely sure the patch is correct (even if it seems to DTRT), so I'd like ports-aware committer to take care of this if/when maintainer approves.
Comment 3 Fernando Apesteguía freebsd_committer 2020-06-12 08:32:13 UTC
(In reply to Yuri Pankov from comment #2)

Hi Yuri!

Committers without a ports bit may obtain review by any ports committer and are then free to commit once accepted. This can be done via Phabricator or requesting review on freebsd-ports (or any other collaboration channels you/we use)

I agree we should wait (at least one week) to hear from maintainer
Comment 4 David O'Rourke 2020-06-12 22:20:39 UTC
Comment on attachment 215470 [details]
fix utf8proc support

Looked good to me after a run through poudriere, thanks for catching this :)

-David
Comment 5 Fernando Apesteguía freebsd_committer 2020-06-13 18:22:51 UTC
Created attachment 215522 [details]
additional improvements on top of submitter's patch

I made a change to the original patch: USES=localbase instead of adding the path manually:

===>   irssi-1.2.2_1,1 depends on shared library: libutf8proc.so - found (/usr/local/lib/libutf8proc.so)

While here, since this port installs libraries, add USE_LDCONFIG.

Also remove the post-patch block since it doesn't actually change anything in the manpage (no traces of /usr or /etc in it).

Finally bump PORTREVISION.

This builds in {11.3,12.1}{amd64,i386} and 13-current amd64, but I did not run-test it.

Will you, please?
Comment 6 David O'Rourke 2020-06-14 17:57:17 UTC
Comment on attachment 215522 [details]
additional improvements on top of submitter's patch

The addition of localbase looks good. This change and the utf8proc change both run well locally after both a /upgrade and running a fresh instance of irssi.

-David
Comment 7 commit-hook freebsd_committer 2020-06-15 10:42:01 UTC
A commit references this bug:

Author: fernape
Date: Mon Jun 15 10:41:56 UTC 2020
New revision: 538869
URL: https://svnweb.freebsd.org/changeset/ports/538869

Log:
  irc/irssi: fix utf8proc support

  Port was not using utf8proc since it didn't look for it in localbase.

  While here:

   * Add USE_LDCONFIG
   * Remove post-patch target since it has no effect

  PR:	247185
  Submitted by:	yuripv@
  Reviewed by:	dor.bsd@xm0.uk (maintainer)

Changes:
  head/irc/irssi/Makefile
Comment 8 Fernando Apesteguía freebsd_committer 2020-06-15 10:42:40 UTC
Committed,

Thank you both!